<?php

namespace App\Http\Controllers;

use App\Models\JobModel;
use App\Models\Stock;
use App\Models\UserPiece;
use App\Models\Waste;
use Illuminate\Http\Request;

class AdminController extends Controller
{
    public function index()
    {
        // Fetch stock and waste records
        $stocks = Stock::all();
        $waste = Waste::all();
        $jobs = JobModel::count();
    
        // Calculate total lengths
        $totalStockLength = $stocks->sum(function ($stock) {
            return (int)$stock->length; // Cast length to integer
        });
    
        $totalWasteLength = $waste->sum(function ($waste) {
            return (int)$waste->length; // Cast length to integer
        });
    
        // Calculate combined total length
        $totalLength = $totalStockLength + $totalWasteLength;
    
        // Calculate percentages
        $stockPercentage = $totalLength > 0 ? round(($totalStockLength / $totalLength) * 100, 2) : 0;
        $wastePercentage = $totalLength > 0 ? round(($totalWasteLength / $totalLength) * 100, 2) : 0;
    
        return view('admin.dashboard', [
            'stocks' => $stocks->count(),
            'waste' => $waste->count(),
            'jobs' => $jobs,
            'stockPercentage' => $stockPercentage,
            'wastePercentage' => $wastePercentage,
        ]);
    }
    

}
