@extends('layouts.app')

@section('title', 'Stock Managment') <!-- Title specific to this page -->

@section('content')

    <div class="content">
        <div class="page-header">
            <div class="add-item d-flex">
                <div class="page-title">
                    <h4>Stock Management</h4>
                    <h6>View all stock here</h6>
                </div>
            </div>
            <div class="page-btn">
                <a href="" class="btn btn-added" data-bs-toggle="modal" data-bs-target="#add-stock"><i
                        data-feather="plus-circle" class="me-2"></i>Add New</a>
            </div>
            <div class="page-btn import">
                <a href="#" class="btn btn-added color" data-bs-toggle="modal" data-bs-target="#view-notes"><i
                        data-feather="download" class="me-2"></i>Import Stock</a>
            </div>
        </div>
        <div class="card table-list-card">
            <div class="card-body">
                <div class="table-top">
                    <div class="search-set">
                        <div class="search-input">
                            <a href="javascript:void(0);" class="btn btn-searchset"><i data-feather="search"
                                    class="feather-search"></i></a>
                        </div>
                    </div>


                </div>

                <div class="table-responsive product-list">
                    <table class="table datanew">
                        <thead>
                            <tr>
                                <th class="no-sort">
                                    <label class="checkboxs">
                                        <input type="checkbox" id="select-all">
                                        <span class="checkmarks"></span>
                                    </label>
                                </th>
                                <th>Stock Length (mm)</th>
                                <th>Stock Cost per Meter </th>
                                {{-- <th>Stock Length (pc)</th> --}}
                                <th class="no-sort">Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($stocks as $stock)
                                <tr>
                                    <td>
                                        <label class="checkboxs">
                                            <input type="checkbox">
                                            <span class="checkmarks"></span>
                                        </label>
                                    </td>
                                    <td>{{ $stock->length }}</td>
                                    <td>{{ $stock->cost }}</td>
                                    {{-- <td>5000 / 1pc <br>2000 / 2pc</td> --}}
                                    <td class="action-table-data">
                                        <div class="edit-delete-action">
                                            <a href="javascript:void(0);" class="me-2 p-2 edit-stock-btn"
                                                onclick="edit({{ $stock }})">
                                                <i data-feather="edit" class="feather-edit"></i>
                                            </a>

                                            <a class=" p-2" href="{{ route('delete_stock', ['id' => $stock->id]) }}">
                                                <i data-feather="trash-2" class="feather-trash-2"></i>
                                            </a>
                                        </div>
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

    </div>
    </div>


    <!-- Add stock -->
    <div class="modal fade" id="add-stock">
        <div class="modal-dialog modal-dialog-centered custom-modal-two">
            <div class="modal-content">
                <div class="page-wrapper-new p-0">
                    <div class="content">
                        <div class="modal-header border-0 custom-modal-header">
                            <div class="page-title">
                                <h4>Add Stock</h4>
                            </div>
                            <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body custom-modal-body">
                            <form method="POST" action="{{ route('add_stock') }}">
                                @csrf

                                <div class="mb-3">
                                    <label class="form-label">Stock Length</label>
                                    <input name="length" type="number" min="1" class="form-control">
                                </div>
                                <div class="mb-3">
                                    <label class="form-label">Cost per meter ($)</label>
                                    <input name="cost" type="number" min="1" class="form-control">
                                </div>

                                <div class="modal-footer-btn">
                                    <button type="button" class="btn btn-cancel me-2"
                                        data-bs-dismiss="modal">Cancel</button>
                                    <button type="submit" class="btn btn-submit">Save</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- /Add stock -->

    <!-- edit stock -->
    <div class="modal fade" id="edit-stock">
        <div class="modal-dialog modal-dialog-centered custom-modal-two">
            <div class="modal-content">
                <div class="page-wrapper-new p-0">
                    <div class="content">
                        <div class="modal-header border-0 custom-modal-header">
                            <div class="page-title">
                                <h4>Edit Stock</h4>
                            </div>
                            <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body custom-modal-body">
                            <form method="POST" action="{{ route('update_stock') }}">
                                @csrf
                                <div class="mb-3">
                                    <label class="form-label">Stock Length</label>
                                    <input name="id" type="hidden" class="form-control">
                                    <input name="edit_length" type="text" min="1" class="form-control">
                                </div>
                                <div class="mb-3">
                                    <label class="form-label">Cost per meter ($)</label>
                                    <input name="edit_cost" type="text" min="1" class="form-control">
                                </div>

                                <div class="modal-footer-btn">
                                    <button type="button" class="btn btn-cancel me-2"
                                        data-bs-dismiss="modal">Cancel</button>
                                    <button type="submit" class="btn btn-submit">Update</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Import Stock Modal -->
    <div class="modal fade" id="view-notes">
        <div class="modal-dialog modal-dialog-centered custom-modal-two">
            <div class="modal-content">
                <div class="page-wrapper-new p-0">
                    <div class="content">
                        <div class="modal-header border-0 custom-modal-header">
                            <div class="page-title">
                                <h4>Import Stock</h4>
                            </div>
                            <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body custom-modal-body">
                            <form method="POST" action="{{ route('import_stock') }}" enctype="multipart/form-data">
                                @csrf
                                <div class="mb-3">
                                    <label class="form-label">Upload Excel File</label>
                                    <input name="stock_file" type="file" class="form-control" required>
                                </div>

                                <div class="modal-footer-btn">
                                    <button type="button" class="btn btn-cancel me-2"
                                        data-bs-dismiss="modal">Cancel</button>
                                    <button type="submit" class="btn btn-submit">Import</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script>
        function edit(stock) {
            $('#edit-stock input[name="id"]').val(stock.id);
            $('#edit-stock input[name="edit_length"]').val(stock.length);
            $('#edit-stock input[name="edit_cost"]').val(stock.cost);
            $('#edit-stock').modal('show');
        }
    </script>
@endsection

@push('styles')
    <link rel="stylesheet" href="{{ asset('css/home.css') }}">
@endpush

@push('scripts')
    <script src="{{ asset('js/home.js') }}"></script>
@endpush
